Documentation · API reference
POST
/api/v1/share/{site}/unlockPost unlock
This page as Markdown, or in an AI chatMore ways to read this page
# Post unlock
> tidekeeper's API reference: https://tidekeeper.eu/docs/api/post-share-site-unlock
`POST /api/v1/share/{site}/unlock`
## Parameters
- `site` (in path, needed): The site's name
## What to send
`ShareUnlock`
- `key` (string, needed)
- `password` (string, needed)
## The answer
200, `ShareUnlocked`
- `pass` (string, needed): Goes in the address as `pass`. Good until the end of tomorrow, UTC.
## Asking
```sh
curl -X POST https://tidekeeper.eu/api/v1/share/example.org/unlock \
-H "Authorization: Bearer $TIDEKEEPER_TOKEN" \
-H "Content-Type: application/json" \
-d '{"key": "…", "password": "…"}'
```
Parameters
- sitein the address
- neededThe site's name
What to send
ShareUnlock
- key
- stringneeded
- password
- stringneeded
The answer
Status 200
ShareUnlocked
- pass
- stringneededGoes in the address as `pass`. Good until the end of tomorrow, UTC.
Asking
curl -X POST https://tidekeeper.eu/api/v1/share/example.org/unlock \ -H "Authorization: Bearer $TIDEKEEPER_TOKEN" \ -H "Content-Type: application/json" \ -d '{"key": "…", "password": "…"}'
const answer = await fetch("https://tidekeeper.eu/api/v1/share/example.org/unlock", { method: "POST", headers: { Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`, "Content-Type": "application/json", }, body: JSON.stringify({"key": "…", "password": "…"}), }).then((r) => r.json());